package com.bonus.canteen.core.order.web.vo.export;

import com.alibaba.excel.annotation.ExcelProperty;
import com.bonus.canteen.core.common.enums.DeliveryTypeEnum;
import com.bonus.canteen.core.common.utils.CustomNumberConverter;
import com.bonus.canteen.core.order.common.constants.DishesStateEnum;
import com.bonus.canteen.core.order.common.constants.OrderStateMixEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDate;

@ApiModel("超市配送导出明细VO")
public class OrderSupermarketDeliveryDetailExportVO {
   @ApiModelProperty("订单id")
   @ExcelProperty(
      value = {"订单号"},
      order = 1
   )
   private Long orderId;
   @ApiModelProperty("就餐日期")
   @ExcelProperty(
      value = {"订单日期"},
      order = 1
   )
   private LocalDate orderDate;
   @ExcelProperty(
      value = {"流水号"},
      order = 2
   )
   private String mealCode;
   @ApiModelProperty("商品明细")
   @ExcelProperty(
      value = {"商品明细"},
      order = 2
   )
   private String dishDetailStr;
   @ExcelProperty(
      value = {"订单金额"},
      order = 3,
      converter = CustomNumberConverter.class
   )
   private BigDecimal payableAmount;
   @ExcelProperty(
      value = {"配送费"},
      order = 4,
      converter = CustomNumberConverter.class
   )
   private BigDecimal deliveryAmount;
   @ExcelProperty(
      value = {"包装费"},
      order = 5,
      converter = CustomNumberConverter.class
   )
   private BigDecimal packingAmount;
   @ExcelProperty(
      value = {"实付金额"},
      order = 6,
      converter = CustomNumberConverter.class
   )
   private BigDecimal realAmount;
   @ApiModelProperty("姓名")
   @ExcelProperty(
      value = {"收货人姓名"},
      order = 7
   )
   private String consigneeName;
   @ApiModelProperty("手机号")
   @ExcelProperty(
      value = {"收货人手机号"},
      order = 7
   )
   private String consigneeMobile;
   @ApiModelProperty("配送地址")
   @ExcelProperty(
      value = {"收货人地址"},
      order = 7
   )
   private String consigneeAddress;
   @ApiModelProperty("配送方式")
   @ExcelProperty(
      value = {"配送方式"},
      order = 8,
      converter = DeliveryTypeEnum.ExcelConvertor.class
   )
   private Integer deliveryType;
   @ApiModelProperty("配送员")
   @ExcelProperty(
      value = {"配送员"},
      order = 8
   )
   private String deliveryName;
   /** @deprecated */
   @ExcelProperty(
      value = {"配送状态"},
      order = 14,
      converter = DishesStateEnum.ExcelConvertor.class
   )
   private Integer deliveryState;
   @ExcelProperty(
      value = {"配送状态"},
      order = 14,
      converter = DishesStateEnum.ExcelConvertor.class
   )
   private Integer dishesState;
   @ExcelProperty(
      value = {"订单状态"},
      order = 13,
      converter = OrderStateMixEnum.ExcelConvertor.class
   )
   private Integer orderStateMix;
   @ExcelProperty(
      value = {"取餐码"},
      order = 15
   )
   private String deliveryCode;
   @ExcelProperty(
      value = {"备注"},
      order = 16
   )
   private String remark;

   public Long getOrderId() {
      return this.orderId;
   }

   public LocalDate getOrderDate() {
      return this.orderDate;
   }

   public String getMealCode() {
      return this.mealCode;
   }

   public String getDishDetailStr() {
      return this.dishDetailStr;
   }

   public BigDecimal getPayableAmount() {
      return this.payableAmount;
   }

   public BigDecimal getDeliveryAmount() {
      return this.deliveryAmount;
   }

   public BigDecimal getPackingAmount() {
      return this.packingAmount;
   }

   public BigDecimal getRealAmount() {
      return this.realAmount;
   }

   public String getConsigneeName() {
      return this.consigneeName;
   }

   public String getConsigneeMobile() {
      return this.consigneeMobile;
   }

   public String getConsigneeAddress() {
      return this.consigneeAddress;
   }

   public Integer getDeliveryType() {
      return this.deliveryType;
   }

   public String getDeliveryName() {
      return this.deliveryName;
   }

   /** @deprecated */
   @Deprecated
   public Integer getDeliveryState() {
      return this.deliveryState;
   }

   public Integer getDishesState() {
      return this.dishesState;
   }

   public Integer getOrderStateMix() {
      return this.orderStateMix;
   }

   public String getDeliveryCode() {
      return this.deliveryCode;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setOrderId(final Long orderId) {
      this.orderId = orderId;
   }

   public void setOrderDate(final LocalDate orderDate) {
      this.orderDate = orderDate;
   }

   public void setMealCode(final String mealCode) {
      this.mealCode = mealCode;
   }

   public void setDishDetailStr(final String dishDetailStr) {
      this.dishDetailStr = dishDetailStr;
   }

   public void setPayableAmount(final BigDecimal payableAmount) {
      this.payableAmount = payableAmount;
   }

   public void setDeliveryAmount(final BigDecimal deliveryAmount) {
      this.deliveryAmount = deliveryAmount;
   }

   public void setPackingAmount(final BigDecimal packingAmount) {
      this.packingAmount = packingAmount;
   }

   public void setRealAmount(final BigDecimal realAmount) {
      this.realAmount = realAmount;
   }

   public void setConsigneeName(final String consigneeName) {
      this.consigneeName = consigneeName;
   }

   public void setConsigneeMobile(final String consigneeMobile) {
      this.consigneeMobile = consigneeMobile;
   }

   public void setConsigneeAddress(final String consigneeAddress) {
      this.consigneeAddress = consigneeAddress;
   }

   public void setDeliveryType(final Integer deliveryType) {
      this.deliveryType = deliveryType;
   }

   public void setDeliveryName(final String deliveryName) {
      this.deliveryName = deliveryName;
   }

   /** @deprecated */
   @Deprecated
   public void setDeliveryState(final Integer deliveryState) {
      this.deliveryState = deliveryState;
   }

   public void setDishesState(final Integer dishesState) {
      this.dishesState = dishesState;
   }

   public void setOrderStateMix(final Integer orderStateMix) {
      this.orderStateMix = orderStateMix;
   }

   public void setDeliveryCode(final String deliveryCode) {
      this.deliveryCode = deliveryCode;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

}
